digiKam Developer Documentation: ShowFoto::ShowfotoSettings Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
ShowFoto::ShowfotoSettings Class Reference
Inheritance diagram for ShowFoto::ShowfotoSettings:

## Public Member Functions
QFont | getApplicationFont () const
QString | getApplicationStyle () const
bool | getCacheThumbs () const
QString | getCurrentTheme () const
QString | getDateTimeFormat () const
bool | getDeleteItem2Trash () const
QString | getIconTheme () const
bool | getItemCenter () const
QString | getLastOpenedDir () const
bool | getNativeFileDialog () const
bool | getReverseSort () const
int | getRightSideBarStyle () const
bool | getShowCoordinates () const
bool | getShowFileDate () const
bool | getShowFileDim () const
bool | getShowFileName () const
bool | getShowFileSize () const
bool | getShowFileType () const
bool | getShowFormatOverThumbnail () const
bool | getShowPhotoDate () const
bool | getShowPhotoExpo () const
bool | getShowPhotoFlash () const
bool | getShowPhotoFocal () const
bool | getShowPhotoLens () const
bool | getShowPhotoMake () const
bool | getShowPhotoMode () const
bool | getShowPhotoWB () const
bool | getShowSplash () const
bool | getShowToolTip () const
int | getSortRole () const
QFont | getToolTipFont () const
int | getUpdateType () const
bool | getUpdateWithDebug () const
void | readSettings ()
void | setApplicationFont (const QFont &fnt)
void | setApplicationStyle (const QString &style)
void | setCacheThumbs (bool item)
void | setCurrentTheme (const QString &theme)
void | setDateTimeFormat (const QString &fmt)
void | setDeleteItem2Trash (bool D2t)
void | setIconTheme (const QString &theme)
void | setItemCenter (bool item)
void | setLastOpenedDir (const QString &dir)
void | setNativeFileDialog (bool item)
void | setReverseSort (bool reverse)
void | setRightSideBarStyle (int style)
void | setShowCoordinates (bool show)
void | setShowFileDate (bool show)
void | setShowFileDim (bool show)
void | setShowFileName (bool show)
void | setShowFileSize (bool show)
void | setShowFileType (bool show)
void | setShowFormatOverThumbnail (bool show)
void | setShowPhotoDate (bool show)
void | setShowPhotoExpo (bool show)
void | setShowPhotoFlash (bool show)
void | setShowPhotoFocal (bool show)
void | setShowPhotoLens (bool show)
void | setShowPhotoMake (bool show)
void | setShowPhotoMode (bool show)
void | setShowPhotoWB (bool show)
void | setShowSplash (bool show)
void | setShowToolTip (bool show)
void | setSortRole (int order)
void | setToolTipFont (const QFont &font)
void | setUpdateType (int type)
void | setUpdateWithDebug (bool dbg)
void | syncConfig ()

## Static Public Member Functions
static ShowfotoSettings * | instance ()